## Name

ceil — find the nearest integer that is greater than or equal to the parameter

## Declaration

`genType ceil(` | genType x`)`;

`genDType ceil(` | genDType x`)`;

## Parameters

`x`

  Specify the value to evaluate.

## Description

`ceil` returns a value equal to the nearest integer that is greater than or equal to `x`.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
ceil (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
ceil (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

floor, round

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.